Subject: Re: ZSH_SCRIPT
From: Greg Klanderman <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2016 12:59:50 -0500
List-Id: Zsh Workers List <zsh-workers.zsh.org>

>>>>> On February 25, 2016 Peter Stephenson <[email-masked]> wrote:

> The variable is new --- we could have a different one to make the POSIX
> $0 permanently available.

Hi Peter and Bart,

Are you saying this is new enough that it can still be changed?  I
would be OK leaving it, and adding another variable as I had
originally proposed, but I do think that ZSH_SCRIPT is a bit better
name for what I had originally proposed, i.e. the name of the script
or empty, and that something like ZSH_ARGZERO might be better for what
is currently called ZSH_SCRIPT.

LKM what you prefer, and if you want me to submit a patch.

thank you,
Greg